<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <link rel="stylesheet" href="/stylesheets/main.css">
    <title>YelpCamp</title>
  </head>
  <body>
    <nav class="navbar navbar-default">
      <div class="container-fluid">
        <div class="navbar-header">
          <a href="/" class="navbar-brand">YelpCamp</a>
        </div>
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav navbar-right">
            <% if(!currentUser) { %>
              <li><a href="/login">Login</a></li>
              <li><a href="/register">Sign Up</a></li>
            <% } else { %>
              <li><a href="/logout">Log out</a></li>
              <li><a href="#">Signed in as <%= currentUser.username %></a></li>
            <% } %>
          </ul>
        </div>
      </div>
    </nav>

    <div class="container">
      <% if(error && error.length > 0) { %>
        <div class="alert alert-danger" role="alert">
          <%= error %>
        </div>
      <% } %>
      <% if(success && success.length > 0) { %>
        <div class="alert alert-success" role="alert">
          <%= success %>
        </div>
      <% } %>
    </div>
